Stop Pipeline
POST
/api/v1/pipelines/{pipeline_id}/stop
const url = 'https://example.com/api/v1/pipelines/example/stop';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/pipelines/example/stopStop a running pipeline.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pipeline_id
required
Pipeline Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}